<?php

/**
**
**@hook on activation
**
**/
function ocart_paypal_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['paypal'] = array(   'name' => __('PayPal','ocart'), 
									'paymentname' => __('Pay with PayPal','ocart'),
									'options' => array( 'enabled', 'receiver_email', 'testmode', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_paypal_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['paypal'])) {
		unset($installed['paypal']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_paypal_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['paypal'])) {
		unset($installed['paypal']);
	}
	update_option('occommerce_OC_gateways', $installed);

}